<nb-card>
  <nb-card-body>

    <form action="/" [formGroup]="ispitForm" (ngSubmit)="ispitForm.valid && onSubmit(ispitForm.value)">
      <div>
        <div >
          <input nbInput type="text" name="naziv" value="naziv" placeholder="Naziv predmeta" formControlName="naziv" required/>
        </div>
      </div>
      <div>
        <br>
        <div >
          <input nbInput type="time" id="vreme" placeholder="Vreme održavanja predmeta" name="vreme" formControlName="vreme" required>
        </div>
        <br>
        <div >
          <input nbInput placeholder="Datum održavanja ispita" [nbDatepicker]="datepicker" name="datum" value="datum" formControlName="datum" required>
          <nb-datepicker #datepicker></nb-datepicker>
        </div>
      </div>
      <br>
      <div >
        <nb-select multiple placeholder="Odbaerite smerove"  formControlName="smerovi" id="smerovi">
          <nb-option *ngFor="let smer of izbor_smerovi" [value]="smer.id">
            {{smer.naziv}}
          </nb-option>
        </nb-select>
      </div>
      <br>
      <div >
        <p>Prazan odabir modula će selektovani sve primenljive module (npr. ako je odabran M smer, prazan odabir modula selektovaće sve moudle M smera)</p>
        <nb-select multiple placeholder="Odaberite modul(e)"  formControlName="moduli" id="moduli">
          <nb-option *ngFor="let modul of getDostupniModuli()" [value]="modul.id">
            {{modul.naziv}}
          </nb-option>
        </nb-select>
      </div>
      <br>
      <div >
        <nb-select placeholder="Godina studija" required formControlName="godina_studija" name="godina_studija">
          <nb-option *ngFor="let g of [1, 2, 3, 4, 5]" [value]="g">{{g}}</nb-option>
        </nb-select>
      </div>
      <br>
      <div >
        <nb-select placeholder="Ispitni rok" required formControlName="rok" name="rok">
          <nb-option *ngFor="let rok of izbor_rokovi" [value]="rok.id">
            {{rok.naziv}}
          </nb-option>
        </nb-select>
      </div>
      <div>

      </div>
      <div >
        <p for="lokacije">Mesto održavanja<span class="required">*</span></p>
          <nb-select multiple placeholder="Lokacije"  formControlName="lokacije"  required name="lokacije"  id="lokacije">
            <nb-option *ngFor="let lokacija of izbor_lokacije" [value]="lokacija.id">
              {{lokacija.lokacija}}
            </nb-option>
          </nb-select>
      </div>

      <button type="submit" status="primary" nbButton href="/">{{this.buttonText}}</button>

    </form>

  </nb-card-body>
</nb-card>
